
AddParticleToObject(1,"Highlight");
MoveEmiter("Highlight",460,465);
AddParticleToObject(200,"cod");
MoveEmiter("cod",781,365);

skiper=false;

--если не перешли на доп локацию где вторая мини то включаем кучи лампочек
if not flags.perexod then

AddParticleToObject(500,"SvetMig");
MoveEmiter("SvetMig",272,442);
StartEmiter("SvetMig")

AddParticleToObject(501,"SvetMig2");
MoveEmiter("SvetMig2",315,405);
-- StartEmiter("SvetMig2")

AddParticleToObject(502,"SvetMig3");
MoveEmiter("SvetMig3",352,379);
-- StartEmiter("SvetMig3")

AddParticleToObject(503,"SvetMig4");
MoveEmiter("SvetMig4",388,353);
-- StartEmiter("SvetMig4")

AddParticleToObject(504,"SvetMig5");
MoveEmiter("SvetMig5",603,352);
-- StartEmiter("SvetMig5")

AddParticleToObject(505,"SvetMig6");
MoveEmiter("SvetMig6",639,376);
-- StartEmiter("SvetMig6")

AddParticleToObject(506,"SvetMig7");
MoveEmiter("SvetMig7",684,404);
-- StartEmiter("SvetMig7")
AddParticleToObject(507,"SvetMig8");
MoveEmiter("SvetMig8",733,438);
-- StartEmiter("SvetMig8")
AddParticleToObject(508,"SvetMig9");
MoveEmiter("SvetMig9",216,254);
-- StartEmiter("SvetMig9")
AddParticleToObject(509,"SvetMig10");
MoveEmiter("SvetMig10",765,256);
-- StartEmiter("SvetMig10")




StartTimer(232134,2,"pachka1")
			
			
			function pachka1()
				StartEmiter("SvetMig2");
				StartEmiter("SvetMig3");
				StartEmiter("SvetMig4");
				StartTimer(232131,1,"pachka2")
			end
			
			function pachka2()
				StartEmiter("SvetMig5");
				StartEmiter("SvetMig6");
				StartEmiter("SvetMig7");
				StartTimer(232132,1,"pachka3")
			end
			
			function pachka3()			
				StartEmiter("SvetMig8");
				StartEmiter("SvetMig9");
				StartEmiter("SvetMig10");
			end		
			
			
end

--если перешли на доп локацию и не прошли мини 2
if flags.perexod and not  flags.mini2_complete then
if not flags.mini22_complite then
CreatePolygon(225,4,"Field")
AddParticleToObject(225,"plan");
MoveEmiter("plan",713,264);
StartEmiter("plan")
Set_Cursor(225,2)
Set_Cursor(224,3)
set_visible_object(224,false)
else
speciale_action(4,226)
set_visible_object(226,true)
Set_Cursor(226,1)
Set_Cursor(224,3)
end
end

if flags.mini2_complete then
set_visible_object(226,true)
set_visible_object(227,true)
set_visible_object(224,false)
Set_Cursor(226,1)
end

WaitRender();

function gameinput(sender,obj_id,attachedID)

	if SLevel==1.0 then return; end;
	if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
	return;end;	
--обработка плашек
		 if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)			
			del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)	
	end
	if sender ==41 then	
	RotateHandler(obj_id);	
	if obj_id ==obj.dragonfly.id then	
	StartAnimation( 5555555555,1,5 );
	return;end;	
	return;end;
	if sender==777 then

--включаем мини 1	
		if flags.mini_go2 and not  flags.mini1_complete2 then				
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			mininame="mini1";
			mininum1=10;
			mininum2=13;
			mininame2="museum";
			
		return; end;
--включаем мини 2		
		if flags.mini_go and not flags.mini1_complete then			
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			mininame="mini1";
			mininum1=10;
			mininum2=11;
			mininame2="museum";			
		return; end;
		
		if top_plush_id and flags.car then		
			ShowMenu(true)
		end	
	end
	
	if sender==28 then
--в комиксе машина доехала убираем проч всех с машины	
		if flags.doehal  then
			speciale_action(2,1005,true);
			speciale_action(2,1008,true);
			speciale_action(2,1000);
			speciale_action(2,1001);			
			speciale_action(2,1006,true);
			flags.car=true	flags.doehal=false;
			
			HideSkipButton()
			if  not skiper then
			MoveObjectY(top_plush_id, -256, -384, 1.5/2);
			MoveObjectY(bottom_plush_id, 640, 769, 1.5/2);	
			end
			StartTimer(2323,1.5,"menuafterplush")
			function menuafterplush()
			ShowMenu(true)			
			CreatePlashechka(68,"51","goodgirl")
			end
		end		
		
--старт локации, машина едет, свет горит, рулят
		 if flags.comics then
			flags.startcar=true;
			set_visible_object(1005,true)
			set_visible_object(1006,true)
			set_visible_object(1007,true)
			set_visible_object(1008,true)
			RotateObject( 1000, 0, 360, 2,true)
			RotateObject( 1001, 0, 360, 2,true)
			MoveObjectX(1006,-583,0,3)
			MoveObjectX(1007,-583,0,3);
			MoveObjectX(1005,537-583,537,3);
			MoveObjectX(1008,549-583,549,3);
			MoveObjectX(1000,74-583 ,74,3);
			MoveObjectX(1001,444-583,444,3);
			flags.comics=false;
			playeffect("078")
			StartTimer(3232,2,"doehal")
			function doehal()
			flags.doehal=true;		
			SwitchToSheet("re")
			end						
		set_visible_object(top_plush_id,true)
		set_visible_object(bottom_plush_id,true)
		MoveObjectY(top_plush_id, -384, -256, 1.5/2);
		MoveObjectY(bottom_plush_id, 769, 640, 1.5/2);		
		speciale_action(4,bottom_plush_id)	
		speciale_action(4,top_plush_id)
		DrawSkipButton()
		
		flags.comics=false
		
		flags.startcar=true
		
		 end
	
	return;end;
--коллапс мусора	
	if sender == 12 then
		if not flags.items_collected then
			if obj.key.is_collapsed and obj.shtop.is_collapsed and obj.smoke.is_collapsed and obj.oduv2.is_collapsed and
						obj.shvab.is_collapsed and obj.kirpi42.is_collapsed and obj.botle.is_collapsed and obj.banka3.is_collapsed and obj.doll.is_collapsed and obj.ruletka.is_collapsed and  
						obj.almaz.is_collapsed and obj.maslo.is_collapsed and obj.ballon3.is_collapsed and obj.kus.is_collapsed and obj.ulit.is_collapsed  then
						flags.items_collected = true;						
						WaitRender();
						AlternateTimer("SwitchSheet1",1000)	
						set_visible_object(224,true)
						speciale_action(4,224)
						Set_Cursor(224,1);
						CreatePlashechka(623328,"54","goodgirl")
			end;				
		end;
	
	return; end;
	
	if sender == 33 then		
--мини пройдена говорит что Маршрутен понятен	
	if flags.mini2_complete then
	CreatePlashechka(72,"56","goodgirl")
	flags.mini2_complete=false;
	end
	
	if flags.mini11_complite  then
			ShowMenu(true);
			Set_Cursor(200,3);
			SwitchToSheet("re");	
			flags.mini11_complite=false;				
	end;
	
	if flags.mini22_complite  then
			ShowMenu(true);		
			SwitchToSheet("re");								
	return;end;
	
		
		if flags.mini1_complete then
		CreatePlashechka(69,"52","goodgirl")
		flags.mini1_complete=false;
		ShowMenu(true)
		SwitchToSheet("re")
		return;end;
		if  flags.mini2 then
		CreatePlashechka(72,"56","goodgirl")
		flags.mini2=false;
		ShowMenu(true)
		SwitchToSheet("re")
		return;end;
	
		if not flags.finish then
		flags.finish = false;
			ShowMenu(true);
			SwitchToSheet("re");
		return end
		
	return;end;
	
	
if sender == 100 then
	

		if not flags.mini then
				speciale_action(2,100,true)
		end
		
		if flags.first_time_load then		
			flags.first_time_load=false
			set_visible_object(obj.intro.id,true);			
			flags.start_draw = false;
			speciale_action(4,obj.intro.id);
		return; end;	
		
--мини 1 пройдена удаляем ворота		
		if flags.mini1 then
			flags.mini1= false;			
			StopEmiter("cod")
			del_object_from_game(203)
			del_object_from_game(222222)
		 end;		
		
	return; end;
	if sender == 8 then
		HideGlove();
	
		HideScaner();
		HideRentgen()
		HideNvg();
	return end;

	if sender == 16 then
--появилась доп локация, картинка
	if obj_id == 225 then
			StartEmiter("plan");
			CreatePlashechka(70,"55","goodgirl");
			
		end;	
--кучи мелких красныз мигающих точек	
	if obj_id == 100 then
			speciale_action(2,101,true)
		end;
		if obj_id == 101 then
			speciale_action(2,102,true)
		end;
		if obj_id == 102 then
			speciale_action(2,103,true)
		end;
		if obj_id == 103 then
			speciale_action(2,104,true)
		end;
		if obj_id == 103 then
			speciale_action(2,100,true)
		end;
	return end;
	if sender == 15 then			
--мелкие красные точки	
		if obj_id == 100 then
			speciale_action(2,101,true)
		end;
		if obj_id == 101 then
			speciale_action(2,102,true)
		end;
		if obj_id == 102 then
			speciale_action(2,103,true)
		end;
		if obj_id == 103 then
			speciale_action(2,104,true)
		end;
		if obj_id == 103 then
			speciale_action(2,100,true)
		end;
	return end;
	
	if sender == 1 then	
--жмем на скип в комиксе	
		if obj_id == skip_id then			
			MoveObjectY(top_plush_id, -256, -384, 1.5/2);
			MoveObjectY(bottom_plush_id, 640, 769, 1.5/2);
			HideSkipButton()			
			skiper=true;	
			flags.car=true
		end;
--тыкаем на мусор		
		if obj_id == obj.key.id or obj_id == obj.shtop.id or obj_id == obj.smoke.id or obj_id == obj.banka3.id
			or obj_id == obj.ruletka.id or obj_id == obj.kus.id then
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
				flags.items = flags.items + 1;
				CollapseObj(obj_id);
		return; end;
--жмем на полигон чтоб перейти в допку		
		if obj_id == 224 then  
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
				speciale_action(2,224)
				set_visible_object(225,true)
				speciale_action(4,225)
				StartEmiter("plan");
				CreatePlashechka(70,"55","goodgirl");
				speciale_action(2,228,true)
				Set_Cursor(225,2);
				flags.perexod =true
				set_visible_object(1006,false)
				set_visible_object(1007,false)
        
				CreatePolygon(225,4,"Field")
        AddParticleToObject(225,"plan");
        MoveEmiter("plan",713,264);
        Set_Cursor(225,2);
        
        StartEmiter("plan")		
		StopEmiter("SvetMig")
		StopEmiter("SvetMig1")
		StopEmiter("SvetMig2")
		StopEmiter("SvetMig3")
		StopEmiter("SvetMig4")
		StopEmiter("SvetMig5")
		StopEmiter("SvetMig6")
		StopEmiter("SvetMig7")
		StopEmiter("SvetMig8")
		StopEmiter("SvetMig9")
		StopEmiter("SvetMig10")
		
				for i=100,104,1 do
					set_visible_object(i,false)
				end
				
				del_object_from_game(223)
				del_object_from_game(201)
				del_object_from_game(100)
				del_object_from_game(101)
				del_object_from_game(102)
				del_object_from_game(103)
				del_object_from_game(104)
				del_object_from_game(1005)
				del_object_from_game(1006)
				del_object_from_game(1007)
				del_object_from_game(1008)
				for i=500,509 do
				del_object_from_game(i)
				end
				
			-- return; end;	
		return; end;
--тыкаем на циферблат для запуска мини	1
		if obj_id == 200 and flags.car then
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
			if flags.first then
			flags.mini_go= true;
			flags.first= false;
			Set_Cursor(200,3)
			ClosePlushes();					
			HideGlove()
			ShowMenu(false)
			return; end;		
		return; end;
--тыкаем на циферблат для запуска мини	2		
		if obj_id == 225 then
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
			if not flags.first then
			flags.mini_go2= true;
			flags.first= true;
			Set_Cursor(225,3)
			StopEmiter("plan")
			ClosePlushes();
			HideGlove()
			flags.mini11_complite=false
			ShowMenu(false)
			return; end;		
		return; end;
--тыкаем в проход чтоб перейти на след локацию
	if obj_id == 226 and not canusegadjets then	
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
			flags.finish = true;
			ShowMenu(false);	
			del_object_from_game(obj.dragonfly.id)
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			minigg=true;
			levelnext=11;	
				
		return; end;		
--тыкаем на мусор		
		if obj_id == obj.oduv2.id or obj_id == obj.shvab.id or obj_id == obj.kirpi42.id or obj_id == obj.botle.id or obj_id == obj.doll.id or 
		obj_id == obj.almaz.id or obj_id == obj.maslo.id or obj_id == obj.ballon3.id or obj_id == obj.ulit.id then
				if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
			if flags.mini then
				if obj_id == obj.smoke.id then
					set_visible_object(205,false);
					flags.smoke = true;
				end;
				if obj_id == obj.oduv2.id then
					set_visible_object(206,false);
					flags.oduv2 = true;
				end;
				if obj_id == obj.shvab.id then
					set_visible_object(208,false);
					flags.shvab = true;
				end;
				if obj_id == obj.doll.id then
					set_visible_object(217,false);
					flags.doll = true;
				end;
				if obj_id == obj.ulit.id then
					set_visible_object(221,false);
					flags.ulit = true;
				end;
					flags.items = flags.items + 1;
					CollapseObj(obj_id);
			return; end;
			CreatePlashechka(9999,"100","goodgirl")
		return; end;
return; end;

	
	if sender == 14 then -- Menu click
		addObjectToMouse(obj_id);
	return; end;
	return; end;


function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;
--не начали 1 мини игру, летим на замок
  if not flags.mini then
  computation(200);	
  
  return;end
  
--летим на переход на след локацию	
	if  flags.mini2_complete then
		computation(226);	
	return;end

	if flags.items >= 15 then
--летим на переход на допку	
		if not flags.perexod then
		computation(224);			
		return;end;	
--летим на мини 2	
	if flags.perexod and not flags.mini2 then
		computation(225);			
		return;end;
		if flags.mini2 then
		computation(226);			
		return;end;
	return end
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
				StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
